Loading...
Searching...
No Matches
event Struct Reference

This struct holds the data for one score event. More...

`#include <csoundCore.h>`

## Data Fields

int | scnt
| String argument(s) (NULL if none).
char * | strarg
void * | pinstance
char | opcod
| Event type.
int16 | pcnt
| Number of p-fields.
MYFLT | p2orig
| Event start time.
MYFLT | p3orig
| Length.
MYFLT | p [PMAX+1]
| All p-fields for this event (SSTRCOD: string argument).
union { |
MYFLT * extra |
MYFLT p [2] |
} | c

## Detailed Description

This struct holds the data for one score event.

## Field Documentation

## [union]

union { ... } event::c

## extra

MYFLT* event::extra

## opcod

char event::opcod

Event type.

## p

MYFLT event::p[2]

All p-fields for this event (SSTRCOD: string argument).

## p2orig

MYFLT event::p2orig

Event start time.

## p3orig

MYFLT event::p3orig

Length.

## pcnt

int16 event::pcnt

Number of p-fields.

## pinstance

void* event::pinstance

## scnt

int event::scnt

String argument(s) (NULL if none).

## strarg

char* event::strarg